- Third-party
Topaz Labs Starlight Precise 2.6 (slp-2.6) is a video enhancement model that upscales and restores low-quality source video to 1080p or 4K. The quality-focused variant of the Starlight family, prioritizing detail reconstruction over speed. Billed using provider-reported processing credits.
| Model Info | |
|---|---|
| More information | link ↗ |
| Pricing |
|
const response = await env.AI.run(
'topaz/starlight-precise-2-6',
{
frame_count: 45,
frame_rate: 29.97,
sharpness: 3,
source_container: 'mp4',
source_height: 360,
source_width: 640,
target_resolution: '1920x1080',
video_uri:
'https://replicate.delivery/pbxt/PetLEVcclEkT5H9A3tYETZyAMT5GE2Sa4m6sQqPDpj8vgHga/animatediff.B572L3lv.mp4',
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "topaz/starlight-precise-2-6",
"input": {
"frame_count": 45,
"frame_rate": 29.97,
"sharpness": 3,
"source_container": "mp4",
"source_height": 360,
"source_width": 640,
"target_resolution": "1920x1080",
"video_uri": "https://replicate.delivery/pbxt/PetLEVcclEkT5H9A3tYETZyAMT5GE2Sa4m6sQqPDpj8vgHga/animatediff.B572L3lv.mp4"
}
}'{
"state": "Completed",
"result": {
"video": "https://examples.aig.cloudflare.com/topaz/starlight-precise-2-6/precise-video-enhancement.mp4"
},
"gatewayMetadata": {
"keySource": "Unified"
}
}video_uri
stringrequiredformat: uriHTTPS URI of the source video to enhancesource_container
stringrequiredenum: 3gp, avi, dv, flv, m1v, m2t, m2ts, m2v, m4v, mkv, mov, mp4, mpeg, mpg, mts, mxf, ser, ts, vob, webm, wmvContainer format of the source videosource_width
integerrequiredexclusiveMinimum: 0maximum: 9007199254740991Width of the source video in pixelssource_height
integerrequiredexclusiveMinimum: 0maximum: 9007199254740991Height of the source video in pixelsframe_count
integerrequiredexclusiveMinimum: 0maximum: 9007199254740991Total frame count of the source video (used by Topaz for credit estimation)frame_rate
numberrequiredexclusiveMinimum: 0Frame rate of the source video in frames per second (e.g. 29.97)target_resolution
stringrequireddefault: 1920x1080enum: 1920x1080, 3840x2160Target output resolutionsharpness
numberrequireddefault: 5minimum: 1maximum: 5Amount of sharpening applied to the enhanced videovideo
stringformat: uriURL to the enhanced video